### Method

# ICalGLib Component set_parent

since: 3.0

#### Declaration [src]

    void
    i_cal_component_set_parent (
      ICalComponent* component,
      ICalComponent* parent
    )

#### Description [src]

Sets the `parent` `ICalComponent` of the specified `component`.

Available since: 3.0

#### Parameters

`parent`

  Type: `ICalComponent`

  An `ICalComponent`, a new parent.

  The argument can be `NULL`.
  The data is owned by the caller of the method.